/*******************************************************************************

  Morphology for DIMIN Viewer n5 (DIV5)

  Programmer: Dima V. Fedorov Levit <dimin@dimin.net> <http://www.dimin.net/>

  History:
    06/01/2005 22:17 - First Creation
  
  ver: 1  
*******************************************************************************/

#ifndef DIM_MORPHOLOGY_H
#define DIM_MORPHOLOGY_H 

void dilateSquare33( TDIVParameters *par, BITMAP *inbmp, int amount );
void dilateCross33( TDIVParameters *par, BITMAP *inbmp, int amount );

void erodeSquare33( TDIVParameters *par, BITMAP *inbmp, int amount );
void erodeCross33( TDIVParameters *par, BITMAP *inbmp, int amount );

void openSquare33( TDIVParameters *par, BITMAP *inbmp, int amount );
void openCross33( TDIVParameters *par, BITMAP *inbmp, int amount );

void closeSquare33( TDIVParameters *par, BITMAP *inbmp, int amount );
void closeCross33( TDIVParameters *par, BITMAP *inbmp, int amount );

#endif //DIM_MORPHOLOGY_H 


