/*******************************************************************************
 Trim Values
 
 IMPLEMENTATION 

 Programmer: Dima V. Fedorov <mailto:dima@dimin.net> <http://www.dimin.net/>

 History:
   05/25/2005 14:09 - First creation

 Ver : 1
*******************************************************************************/

#ifndef DIM_TRIM_H
#define DIM_TRIM_H 


#if defined(__cplusplus) && __cplusplus 
  #pragma message("Trims: using <inline> functions") 

  inline unsigned char trimToUChar( int a ) 
  {
    if (a<0) return 0;
    if (a>255) return 255;
    return a;
  }

  inline unsigned char trimToUChar( double a ) 
  {
    if (a<0) return 0;
    if (a>255) return 255;
    return a;
  }

#else
  #pragma message("Trims: using <MACRO> functions") 
  
  //#define trimToUChar(a)  ( if (a<0)  )
#endif



#endif //DIM_TRIM_H 

