

#include "DIVPluginDefs.h"
#include "DIVFilterDefs.h"



#ifdef DLL_API_EXPORTS
#define DLL_API __declspec(dllexport)
#else
#define DLL_API __declspec(dllimport)
#endif

#ifndef uint
#define uint unsigned int
#endif

#ifndef ulong
#define ulong unsigned long
#endif

extern "C" { 
  DLL_API TDIVPluginHeader* __stdcall divGetPluginHeader();
  DLL_API TDIVFilterHeader* __stdcall divGetFilterHeader(int I);
  DLL_API TDivPluginFilter  __stdcall divGetFilter(int I);


  DLL_API int __stdcall filterDilationSquare3x3 ( TDIVParameters *par );
  DLL_API int __stdcall filterDilationCross3x3  ( TDIVParameters *par );
  DLL_API int __stdcall filterErosionSquare3x3  ( TDIVParameters *par );
  DLL_API int __stdcall filterErosionCross3x3   ( TDIVParameters *par );

  DLL_API int __stdcall filterOpeningSquare3x3  ( TDIVParameters *par );
  DLL_API int __stdcall filterOpeningCross3x3   ( TDIVParameters *par );
  DLL_API int __stdcall filterClosingSquare3x3  ( TDIVParameters *par );
  DLL_API int __stdcall filterClosingCross3x3   ( TDIVParameters *par );
}

